Account Verification Pro
Combined match and beneficiary lookup for retail and corporate accounts.
Request Body
application/json
The model containing the IBAN and ID for verification, along with any other necessary information. It also includes details for retrieving the associated beneficiary name.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v2.1/av/AccountVerificationPro/Match" \ -H "Content-Type: application/json" \ -d '{ "iban": "string", "idValue": "string" }'{ "error": "INVALID_DATA", "errorDescription": { "property1": [ "string" ], "property2": [ "string" ] }, "data": { "requestId": "string", "inputBeneficiaryName": "string", "accountStatus": "string", "accountIdentifier": "string", "result": "MATCH", "bank": { "englishName": "string", "arabicName": "string", "bankCode": "string", "swiftCode": "string" }, "errorDescription": "string", "idType": "NATIONAL_ID", "idValue": "string", "beneficiaryName": "string", "executionDate": "2019-08-24T14:15:22Z" }}{ "error": "INVALID_DATA", "errorDescription": { "property1": [ "string" ], "property2": [ "string" ] }, "data": null}{ "error": "INVALID_DATA", "errorDescription": { "property1": [ "string" ], "property2": [ "string" ] }, "data": null}{ "error": "INVALID_DATA", "errorDescription": { "property1": [ "string" ], "property2": [ "string" ] }, "data": null}{ "error": "INVALID_DATA", "errorDescription": { "property1": [ "string" ], "property2": [ "string" ] }, "data": null}"INVALID_DATA"Request Body
application/json
The model containing the corporate verification request details with beneficiary information. This includes the IBAN, CR, UNN, and beneficiary name to be validated in this operation.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v2.1/av/AccountVerificationPro/Corporate" \ -H "Content-Type: application/json" \ -d '{ "iban": "string" }'{ "error": "INVALID_DATA", "errorDescription": { "property1": [ "string" ], "property2": [ "string" ] }, "data": { "requestId": "string", "inputBeneficiaryName": "string", "accountStatus": "string", "result": "MATCH", "bank": { "englishName": "string", "arabicName": "string", "bankCode": "string", "swiftCode": "string" }, "errorDescription": "string", "idType": "NATIONAL_ID", "idValue": "string", "beneficiaryName": "string", "executionDate": "2019-08-24T14:15:22Z" }}{ "error": "INVALID_DATA", "errorDescription": { "property1": [ "string" ], "property2": [ "string" ] }, "data": null}{ "error": "INVALID_DATA", "errorDescription": { "property1": [ "string" ], "property2": [ "string" ] }, "data": null}{ "error": "INVALID_DATA", "errorDescription": { "property1": [ "string" ], "property2": [ "string" ] }, "data": null}{ "error": "INVALID_DATA", "errorDescription": { "property1": [ "string" ], "property2": [ "string" ] }, "data": null}"INVALID_DATA"